Subject: bug#49209: coreutils: stack out-of-bounds write in tail --follow

From: Kamil Dudka <[email-masked]>
Date: Thu, 24 Jun 2021 17:07:20 +0200

On Thursday, June 24, 2021 4:50:25 PM CEST Pádraig Brady wrote:
> Note the number of descriptors select() is waiting on in independent of the
> number of files. We should be able to inotify_init() earlier in the process
> to avoid this issue. I'll have a look.

Good idea!  This could make it work instead of throwing an error.  
Nevertheless, the boundary check should be added anyway as long as we use 
FD_SET(), because the number of first available file descriptor can still
be controlled from outside.

Kamil